Subject: bug#44149: 28.0.50; M-x finder-by-keyword, giving weird descriptions for gnus and org

From: Stefan Monnier <[email-masked]>
Date: Mon, 26 Oct 2020 16:29:34 -0400

>> Just tell me if it is a joke that gnus is described this way.
>> gnus 5.13 built-in Identifying spam
> The description comes from spam.el:
> ./spam.el:1:;;; spam.el --- Identifying spam

But why is it put under the name "gnus"?

>> Another issue, Org is described as:
>> org 9.3 built-in Export Framework for Org Mode
> This description comes from ox.el
> ./ox.el:1:;;; ox.el --- Export Framework for Org Mode [...]

Similarly, why is it put under the name "org"?

>   commit 851535f58745dcfbc8798b3a34b4fea852f93a3e
>   Author: Stefan Monnier <[email-masked]>
>   Date:   Sat Jul 6 18:42:02 2019 -0400
>
>       * lisp/emacs-lisp/nadvice.el: Make it a package separate from `emacs`.
>
>       * lisp/finder.el (finder-compile-keywords): Grab version from
>       package--builtin-versions when available.
>
> It makes "(or (eq base-name package) version)" below that always be true,

I don't understand why it does that.

> Reverting the above commit fixes this issue here.

I get the impression that there's some other underlying problem.

> I'm not sure how best to fix this without breaking something else.
> Perhaps Stefan M has an idea?

I don't understand this code enough to give much guidance, I'm afraid.

        Stefan